class OCS:
    def __str__(self):
        print self.height
        return 'hello'

class BS_EN_50163(OCS):
    def __init__(self):
        self.voltage = u(25000, 'V')
        self.voltage_minimum = u(17500, 'V')
        self.voltage_maximum = u(29000, 'V')
        self.cycles = u(50, 'Hz')

class ET(BS_EN_50163):
    def __init__(self):
        BS_EN_50163.__init__(self)
        self.height = u(5.87, 'm')
        self.rating = u(2500, 'A')
        self.tension_length = u(1200, 'm')
        self.spacing = u(27, 'm')
        # copper
        # cross section 240 mm2
        # 0.21 Ohm/km

class BR_HS(BS_EN_50163):
    def __init__(self):
        BS_EN_50163.__init__(self)
        self.height = u(5.07, 'm')

class LGV(BS_EN_50163):
    def __init__(self):
        BS_EN_50163.__init__(self)
        self.height = u(5.08, 'm')

class BR_AC(BS_EN_50163):
    def __init__(self):
        BS_EN_50163.__init__(self)
        self.height = u(4.68, 'm')
